﻿@model AHCBL.Dto.User.OrderDto
@{
    ViewBag.Title = "Sell_apply";
    Layout = "~/Views/Shared/_Layout_Product.cshtml";
}
@Styles.Render("~/common/css/pages/purchase.css")
<div class="order-product">
    <h2 style="text-align: center; color:#fff;">판매상품</h2>
    @if (Model != null && Model.tab2.Count != 0)
    {
        foreach (var item in Model.tab2)
        {
            <div class="order-product-inner order-product-inner01">
                <div class="order-product-img">
                    <img src="@Html.DisplayFor(modelItem => item.img)" alt="">
                    @Html.Hidden("token", new { value = item.token })
                </div>
                <div class="order-product-price">
                    <div class="order-product-price-inner">
                        <span>상품명</span>
                        <span class="order-yellow">@Html.DisplayFor(modelItem => item.name)</span>
                    </div>
                    <div class="order-product-price-inner">
                        <span>구매자</span>
                        <span>@Html.DisplayFor(modelItem => item.fullname)</span>
                    </div>
                    <div class="order-product-price-inner">
                        <span>HP</span>
                        <span>@Html.DisplayFor(modelItem => item.hp)</span>
                    </div>
                    <div class="order-product-price-inner">
                        <span>가격</span>
                        <span>@Html.DisplayFor(modelItem => item.price)원</span>
                    </div>
                </div>
            </div>

            <div class="order-product-inner order-product-inner02">
                <div class="order-product-caption">
                    <span>상품가격</span>
                    <span class="order-product-caption-inner01">
                        @Html.DisplayFor(modelItem => item.win_price)원
                    </span>
                </div>

                <div class="order-product-caption">
                    <span>입금정보</span>
                    <span class="order-product-caption-inner03">
                        @Html.DisplayFor(modelItem => item.buy_info)
                    </span>
                </div>
            </div>

        }
    }
    <div class="order-product-price-button">
        <input type="button" value="판매 확정" onclick="doAction();" />
        <input type="button" value="취 소" onclick="location.href='./sell_list.asp';" />
    </div>
</div>



    <script>
        function doAction() {
            if (confirm($(".order-product-caption > h3").text() + " 상품을 판매 확정 하시겠습니까?")) {
                var buy_info = "";
                var token = $("#token").val();
                $.ajax({
                    type: "POST",
                    url: "/Order/Appv",
                    data: "{'buy_info':'" + buy_info + "','token':'" + token + "'}",
                    contentType: "application/json; charset=utf-8",
                    dataType: "json",
                    success: function (msg) {
                        if (msg.err == '0') {
                            alert(msg.errmsg);
                            //location.reload();
                            location.href = "/Order";
                        } else {
                            alert(msg.errmsg);
                        }
                    }
                });


            }
        }
    </script>